#!/usr/bin/env python

"""The setup script."""

from setuptools import setup, find_packages

with open("README.md") as readme_file:
    readme = readme_file.read()

with open('HISTORY.rst') as history_file:
    history = history_file.read()

requirements = [

]

setup_requirements = ['pytest-runner', ]

test_requirements = ['pytest>=3', ]

setup(
    author="itec",
    author_email='itec@ventuordici.org',
    python_requires='>=3.5',
    classifiers=[
        'Development Status :: 2 - Pre-Alpha',
        'Intended Audience :: Developers',
        'License :: OSI Approved :: MIT License',
        'Natural Language :: English',
        'Programming Language :: Python :: 3',
        'Programming Language :: Python :: 3.5',
        'Programming Language :: Python :: 3.6',
        'Programming Language :: Python :: 3.7',
        'Programming Language :: Python :: 3.8',
    ],
    description="banana",
    entry_points={
        'console_scripts': [
            'banana=banana.cli:main',
            'ananas2dec=banana.cli:ananas2dec',
            'avocado2dec=banana.cli:avocado2dec',
            'banana2dec=banana.cli:banana2dec',
            'ribes2dec=banana.cli:ribes2dec',
            'bananarandom=banana.cli:bananarandom',
            'dec2ananas=banana.cli:dec2ananas',
            'dec2avocado=banana.cli:dec2avocado',
            'dec2banana=banana.cli:dec2banana',
            'dec2ribes=banana.cli:dec2ribes',
            'isbanana=banana.cli:isbanana'
        ],
    },
    install_requires=requirements,
    license="MIT license",
    long_description=readme + '\n\n' + history,
    include_package_data=True,
    keywords='banana',
    name='banana',
    packages=find_packages(include=['banana', 'banana.*']),
    setup_requires=setup_requirements,
    test_suite='tests',
    tests_require=test_requirements,
    url='https://git.lattuga.net/itec/banana',
    version='0.1.0',
    zip_safe=False,
)
